Bug Hunting Session
Bug 104788 - FILESAVE: PPTX: Corrupted File after RT (The attribute has invalid value '-1'. The string '-1' is not a valid 'UInt32' value)
Summary: FILESAVE: PPTX: Corrupted File after RT (The attribute has invalid value '-1'...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0
Keywords: filter:pptx
Depends on:
Blocks: PPTX-Corrupted
  Show dependency treegraph
 
Reported: 2016-12-19 16:43 UTC by Xisco Faulí
Modified: 2017-10-26 14:41 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2016-12-19 16:43:10 UTC
Steps:
1. Open attachment 83570 [details] from bug 67703
2. Save it as a new .PPTX
3. Open the new .PPTX file in MSO PowerPoint

Error Node Type: ShapeTarget
Error Description: The attribute 'spid' has invalid value '-1'. The string '-1' is not a valid 'UInt32' value

Reproduced in

Version: 5.4.0.0.alpha0+
Build ID: 53edf60c4ce6ed32f87471e018878c40b788005a
CPU Threads: 1; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-12-18_06:57:59
Locale: es-ES (es_ES); Calc: group
Comment 1 Xisco Faulí 2016-12-19 18:04:45 UTC
Another file: attachment 50678 [details] from bug 40483
Comment 2 Buovjaga 2016-12-20 09:58:25 UTC
Repro.

Win 8.1 32-bit
MSO 2013
LibO Version: 5.4.0.0.alpha0+
Build ID: 52853b53494e1e51d71ccdb54afd7a4f16fba93c
CPU Threads: 4; OS Version: Windows 6.29; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-12-19_23:19:20
Locale: fi-FI (fi_FI); Calc: group
Comment 3 Commit Notification 2017-10-03 18:17:42 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=42c9be63a309fa0d7506ada9cf759dbe023c4a0f

tdf#104788 write xshear & to attribute

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2017-10-04 09:21:52 UTC
Hi Szymos,
Thanks for the fix.
I've just try it in

Version: 6.0.0.0.alpha0+
Build ID: 6e3e4cd38b56d432c48cd7217885974e3f0519fd
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

and it works like a charm !!

Do not forget to close this as RESOLVED FIXED when you're done!
Thank you very much